Package name.pachler.nio.file

# Interface WatchEvent.Kind<T>

Type Parameters:
  `T` - The context this kind is intended for. In jpathwatch, only Path and Void are used as context types.

All Known Implementing Classes:
  `PathWatchEventKind`, `VoidWatchEventKind`

Enclosing class:
  `WatchEvent<T>`

public static interface WatchEvent.Kind<T>
Instances of this class act as tags to identify different kinds of events (like file creation or deletion)

## Method Summary

Modifier and Type
Method
Description
`String`
`name()`
`Class<T>`
`type()`

## Method Details

### name

String name()

Returns:
  the name of this modifier

### type

Class<T> type()

Returns:
  the type of the WatchEvent's context value.